EncryptionScopesOperations Class
EncryptionScopesOperations operations.
You should not instantiate this class directly. Instead, you should create a Client instance that instantiates it for you and attaches it as an attribute.
- Inheritance
-
builtins.objectEncryptionScopesOperations
Constructor
EncryptionScopesOperations(client, config, serializer, deserializer)
Parameters
- client
Client for service requests.
- config
Configuration of service client.
- serializer
An object model serializer.
- deserializer
An object model deserializer.
Variables
- models
Alias to model classes used in this operation group.
Methods
| get |
Returns the properties for the specified encryption scope. |
| list |
Lists all the encryption scopes available under the specified storage account. |
| patch |
Update encryption scope properties as specified in the request body. Update fails if the specified encryption scope does not already exist. |
| put |
Synchronously creates or updates an encryption scope under the specified storage account. If an encryption scope is already created and a subsequent request is issued with different properties, the encryption scope properties will be updated per the specified request. |
get
Returns the properties for the specified encryption scope.
get(resource_group_name: str, account_name: str, encryption_scope_name: str, **kwargs: Any) -> azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScope
Parameters
- resource_group_name
- str
The name of the resource group within the user's subscription. The name is case insensitive.
- account_name
- str
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
- encryption_scope_name
- str
The name of the encryption scope within the specified storage account. Encryption scope names must be between 3 and 63 characters in length and use numbers, lower-case letters and dash (-) only. Every dash (-) character must be immediately preceded and followed by a letter or number.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
EncryptionScope, or the result of cls(response)
Return type
Exceptions
list
Lists all the encryption scopes available under the specified storage account.
list(resource_group_name: str, account_name: str, **kwargs: Any) -> Iterable[azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScopeListResult]
Parameters
- resource_group_name
- str
The name of the resource group within the user's subscription. The name is case insensitive.
- account_name
- str
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
An iterator like instance of either EncryptionScopeListResult or the result of cls(response)
Return type
Exceptions
patch
Update encryption scope properties as specified in the request body. Update fails if the specified encryption scope does not already exist.
patch(resource_group_name: str, account_name: str, encryption_scope_name: str, encryption_scope: azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScope, **kwargs: Any) -> azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScope
Parameters
- resource_group_name
- str
The name of the resource group within the user's subscription. The name is case insensitive.
- account_name
- str
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
- encryption_scope_name
- str
The name of the encryption scope within the specified storage account. Encryption scope names must be between 3 and 63 characters in length and use numbers, lower-case letters and dash (-) only. Every dash (-) character must be immediately preceded and followed by a letter or number.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
EncryptionScope, or the result of cls(response)
Return type
Exceptions
put
Synchronously creates or updates an encryption scope under the specified storage account. If an encryption scope is already created and a subsequent request is issued with different properties, the encryption scope properties will be updated per the specified request.
put(resource_group_name: str, account_name: str, encryption_scope_name: str, encryption_scope: azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScope, **kwargs: Any) -> azure.mgmt.storage.v2021_06_01.models._models_py3.EncryptionScope
Parameters
- resource_group_name
- str
The name of the resource group within the user's subscription. The name is case insensitive.
- account_name
- str
The name of the storage account within the specified resource group. Storage account names must be between 3 and 24 characters in length and use numbers and lower-case letters only.
- encryption_scope_name
- str
The name of the encryption scope within the specified storage account. Encryption scope names must be between 3 and 63 characters in length and use numbers, lower-case letters and dash (-) only. Every dash (-) character must be immediately preceded and followed by a letter or number.
- encryption_scope
- EncryptionScope
Encryption scope properties to be used for the create or update.
- cls
- callable
A custom type or function that will be passed the direct response
Returns
EncryptionScope, or the result of cls(response)
Return type
Exceptions
Attributes
models
models = <module 'azure.mgmt.storage.v2021_06_01.models' from 'C:\\hostedtoolcache\\windows\\Python\\3.9.13\\x64\\lib\\site-packages\\azure\\mgmt\\storage\\v2021_06_01\\models\\__init__.py'>
Feedback
Submit and view feedback for